Apply by doing:
	cd /usr/src
	patch -p0 < 011_sudo.patch

And then rebuild and install sudo:
	cd usr.bin/sudo
	make depend
	make
	make install

Index: usr.bin/sudo/parse.c
===================================================================
RCS file: /cvs/src/usr.bin/sudo/parse.c,v
retrieving revision 1.18
diff -u -r1.18 parse.c
--- usr.bin/sudo/parse.c	4 Dec 2007 15:27:06 -0000	1.18
+++ usr.bin/sudo/parse.c	22 Feb 2009 21:35:30 -0000
@@ -606,9 +606,11 @@
     /*
      * If the user has a supplementary group vector, check it first.
      */
-    for (i = 0; i < user_ngroups; i++) {
-	if (grp->gr_gid == user_groups[i])
-	    return(TRUE);
+    if (strcmp(user, user_name) == 0) {
+	for (i = 0; i < user_ngroups; i++) {
+	    if (grp->gr_gid == user_groups[i])
+		return(TRUE);
+	}
     }
     if (grp->gr_mem != NULL) {
 	for (cur = grp->gr_mem; *cur; cur++) {
